tea.h File Reference
`#include "seckey.h"`
`#include "secblock.h"`

Go to the source code of this file.

## Classes

struct | TEA_Info
| _ More...
class | TEA
| TEA More...
struct | XTEA_Info
| _ More...
class | XTEA
| XTEA More...
struct | BTEA_Info
| _ More...
class | BTEA
| corrected Block TEA (as described in "xxtea"). More...

## Typedefs

typedef TEA::Encryption | TEAEncryption
typedef TEA::Decryption | TEADecryption